Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.acl
Class DefaultGroupImpl

    java.lang.Object
      weblogic.security.acl.DefaultGroupImpl

All Implemented Interfaces:
  Group, Principal

Direct Known Subclasses:
  FlatGroup

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by JAAS and the Pluggable Security Infrastructure.

public abstract class DefaultGroupImpl
extends Object
implements Group

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`DefaultGroupImpl(String name)` Deprecated.

Method Summary
`boolean` | `addMember(Principal user)` Deprecated. Adds the specified member to the group.
`String` | `getName()` Deprecated. Returns the name of this principal.
`abstract boolean` | `isMember(Principal member)` Deprecated. Returns true if the passed principal is a member of the group.
`abstract Enumeration` | `members()` Deprecated. Returns an enumeration of the members in the group.
`boolean` | `removeMember(Principal user)` Deprecated. Removes the specified member from the group.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, hashCode`

Constructor Detail

### DefaultGroupImpl

    public DefaultGroupImpl(String name)

  Deprecated.

Method Detail

### addMember

    public boolean addMember(Principal user)

  Deprecated.
  Adds the specified member to the group.

  Specified by:
    `addMember` in interface `Group`
  Parameters:
    `user` - the principal to add to this group.
  Returns:
    true if the member was successfully added, false if the principal was already a member.

### getName

    public String getName()

  Deprecated.
  Returns the name of this principal.

  Specified by:
    `getName` in interface `Principal`
  Returns:
    the name of this principal.

### isMember

    public abstract boolean isMember(Principal member)

  Deprecated.
  Returns true if the passed principal is a member of the group. This method does a recursive search, so if a principal belongs to a group which is a member of this group, true is returned.

  Specified by:
    `isMember` in interface `Group`
  Parameters:
    `member` - the principal whose membership is to be checked.
  Returns:
    true if the principal is a member of this group, false otherwise.

### members

    public abstract Enumeration members()

  Deprecated.
  Returns an enumeration of the members in the group. The returned objects can be instances of either Principal or Group (which is a subclass of Principal).

  Specified by:
    `members` in interface `Group`
  Returns:
    an enumeration of the group members.

### removeMember

    public boolean removeMember(Principal user)

  Deprecated.
  Removes the specified member from the group.

  Specified by:
    `removeMember` in interface `Group`
  Parameters:
    `user` - the principal to remove from this group.
  Returns:
    true if the principal was removed, or false if the principal was not a member.

### toString

    public String toString()

  Deprecated.
  Specified by:
    `toString` in interface `Principal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD